**License:** [Creative Commons Attribution 4.0 International License
(CC-BY 4.0)](https://creativecommons.org/licenses/by/4.0/)

# COPIM Code of Conduct

Thoth is a development of the [COPIM project](https://www.copim.ac.uk/)
and, as such, its code of conduct applies to this repository.

Why we Have a Code of Conduct
-----------------------------

COPIM is a community-led and community-focused project. We value the
involvement of everyone in our community, and to enable this we are
committed to creating a friendly and respectful place for sharing,
exchange, and the development of programs and initiatives. All
participants in our events, projects, and communications are expected to
show respect and courtesy to others.

COPIM is dedicated to providing a welcoming and supportive environment
for all people, regardless of background or identity. We believe our
community should be as diverse, inclusive, and accessible as possible.
We want our community to be a positive, safe and healthy environment for
anyone who joins (and wants to join) and we pledge to make participation
in our community a harassment-free experience for everyone. As such, we
do not tolerate behaviour that is [disrespectful or that excludes,
intimidates, or causes discomfort to others](#unacceptable-behaviour).
We do not tolerate discrimination or [harassment](#harassment) based on
characteristics that include, but are not limited to, gender identity,
orientation, and expression, sexual orientation, visible or invisible
disability, physical appearance, body size, citizenship, nationality,
ethnic or social origin, pregnancy, familial status, veteran status,
genetic information, religion or belief (or lack thereof), membership of
a national minority, property, age, education, socio-economic status,
technical choices, and experience level. We are committed to ensuring
that this remains so, including by embracing this Code of Conduct and
revisiting it for updates as needed. In short, to protect our projects
against those who damage or distort them, we pledge to act and interact
in ways that contribute to an open, welcoming, diverse, inclusive
community focused on the well-being of its members.

This Code of Conduct defines a minimum set of guidelines of expected and
unacceptable behaviour.

Who Does this CoC Apply To?
---------------------------

To make clear what is expected, everyone participating in COPIM's
activities is required to abide by the Code of Conduct. It applies
equally to everyone who interacts and contributes to COPIM projects and
spaces without any exceptions (e.g. we will make no exceptions based on
standing, skills or accomplishments in COPIM projects). This includes
project partners and members, event organisers and participants, and
board members of COPIM.

By participating in this community, participants accept to abide by
COPIM's Code of Conduct and accept the procedures by which any Code of
Conduct incidents are resolved. It applies to all COPIM Work Packages
(WPs), technical spaces, in-person and virtual events, including
workshops and conferences (workshop and conference hosts are expected to
assist with the enforcement of the Code of Conduct), as well as the
following instances:

-   private, public and semi-public interactions

-   disagreements and expressions of solidarity across community members

-   issues of technical development

-   aspects of content contribution

-   cases of representing affiliates/communities with external partners

This Code of Conduct applies to all spaces managed by COPIM including,
but not limited to, COPIM email lists and online fora such as GitHub,
Nextcloud, Mattermost, PubPub, Cryptpad, Big Blue Button, Zoom, Jitsi,
MS Teams, Twitter, and any other fora created by the project team which
the community uses for communication and exchange. In addition,
violations of this code outside these spaces may affect a person\'s
ability to participate within them. This Code of Conduct also applies
when an individual is officially representing the COPIM community in
public spaces. Examples of representing our community include using an
official e-mail address, posting via an official social media account,
or acting as an appointed representative at an online or offline event.

By participating, participants and COPIM members indicate their
acceptance of the procedures by which COPIM resolves any Code of Conduct
incidents, which may include storage and processing of their personal
information. Actions that contradict the Code of Conduct can result in
sanctions (see [**Enforcement Guidelines**](#enforcement-guidelines)).

### Our Values

Any form of behaviour to exclude, intimidate, or cause discomfort is a
violation of the Code of Conduct. In order to foster a positive and
professional learning environment we encourage examples of the following
kinds of behaviours  that contributes to a positive environment for our
community in all platforms and events:

-   Use welcoming and inclusive language;

-   Be careful in the words that you choose;

-   Be friendly and patient;

-   Be respectful of different viewpoints, opinions, and experiences;

-   Show courtesy and respect towards other community members;

-   Demonstrate empathy and kindness towards other people;

-   Give and gracefully accept constructive criticism and feedback;

-   Accept responsibility and apologise to those affected by our
    mistakes, and learn from the experience;

-   Focus on what is best not just for us as individuals, but for the
    overall community

In all COPIM projects, spaces and events, behaviour will be founded in
respect, civility, collegiality, solidarity, and good citizenship. This
applies to all contributors and participants in their interaction with
all contributors and participants.

Your work will be used by other people, and you in turn will depend on
the work of others. Any decision you take will affect users and
colleagues, and you should take those consequences into account when
making decisions. Remember that we\'re an international community, so
you might not be communicating in someone else\'s primary language.

Not all of us will agree all the time, but disagreement is no excuse for
poor behaviour and poor manners. We might all experience some
frustration now and then, but we cannot allow that frustration to turn
into a personal attack. It's important to remember that a community
where people feel uncomfortable or threatened is not a productive one.

### Mutual Respect

Members of the COPIM community should be respectful when dealing with
other members as well as with people outside the COPIM community. In
communicating with people, whether in online or offline COPIM
environments, we will treat each other with mutual respect.

**Mutual respect includes following these practices:**

-   **Practice empathy.** Listen and try to understand what COPIM
    members of different backgrounds want to tell you. Be ready to
    challenge and adapt your own understanding, expectations and
    behaviour as a COPIM member.

-   **Assume good faith and engage in constructive edits.** Your
    contributions should improve the quality of the project or work.
    Provide and receive feedback kindly and in good faith. Criticism
    should be delivered in a sensitive and constructive manner. All
    COPIM members should assume unless evidence otherwise exists that
    others are here to collaboratively improve the projects, but this
    should not be used to justify statements with a harmful impact.

-   **Respect the way that contributors name and describe
    themselves.** People may use specific terms to describe themselves.
    As a sign of respect, use these terms when communicating with or
    about these people, where linguistically or technically feasible.
    Examples include:

-   Ethnic groups may use a specific name to describe themselves, rather
    than the name historically used by others;

-   People may have names that use letters, sounds, or words from their
    language which may be unfamiliar to you;

-   People who identify with a certain sexual orientation or gender
    identity may use distinct names, or pronouns;

-   People having a particular physical or mental disability may use
    particular terms to describe themselves

-   **Welcome everyone.** During in-person meetings, we will be
    welcoming to everyone and we will be mindful and respectful of each
    others' preferences, boundaries, sensibilities, traditions, and
    requirements.

### Civility, Collegiality, Mutual Support and Good Citizenship

This includes but is not limited to:

-   **Mentorship and coaching.** Helping newcomers to find their way and
    acquire essential skills.

-   **Looking out for fellow community members.** Lending them a hand
    when they need support, and speaking up for them when they are
    treated in a way that falls short of expected behaviour as per the
    Code of Conduct.

-   **Recognise and credit the work done by contributors.** Thanking
    them for their help and work. Appreciating their efforts and give
    credit where it is due.

Unacceptable Behaviour
----------------------

We are a community of professionals, and we conduct ourselves
professionally. Be kind and respectful to others. Do not insult or put
down other participants. Public or private harassment and other types of
exclusionary behaviour are not acceptable.

**Examples of unacceptable behaviour include, but are not limited to:**

-   Written or verbal comments which have the effect of excluding people
    on the basis of membership of any specific group;

-   Causing someone to fear for their safety, such as through stalking,
    following, or other forms of intimidation;

-   Non-consensual or unwelcome physical contact;

-   Sustained disruption of talks, events, or communications;

-   Excessive swearing;

-   Incitement to violence, suicide, or self-harm;

-   Insults or put downs;

-   Violent threats or language directed against another person;

-   Discriminatory jokes and language (e.g., sexist, racist, homophobic,
    transphobic, ableist, or exclusionary jokes);

-   Posting sexually explicit or violent material;

-   Trolling, insulting, or derogatory comments, and personal or
    political attacks;

-   Publishing (or threatening to publish) other people\'s personally
    identifying information, such as physical or digital information
    without reasonable project or work-specific relevancy (\"doxing\");

-   Continuing to initiate interaction (including photography or
    recording) with someone after being asked to stop;

-   Repeated public or private harassment (further details see below) of
    others. In general, if someone asks you to stop, then stop;

-   Publication of private communication without consent;

-   Personal insults, especially those using racist or sexist terms;

-   Unwelcome sexual attention;

-   The use of sexualised language or imagery, sexual attention, or
    sexual advances of any kind;

-   Advocating for, or encouraging, any of the above behaviour.

Disagreements, both social and technical, happen all the time. It is
important that we resolve disagreements and differing views
constructively. Remember that we are different. The strength of COPIM
comes from its varied community, inclusive of people from a wide range
of backgrounds. Different people have different perspectives on issues.
Being unable to understand why someone holds a viewpoint does not mean
that they are wrong. Don't forget that it is human to err, and blaming
each other does not get us anywhere. Instead, focus on collectively
helping to resolve issues and learning from mistakes.

### Harassment

This includes any behaviour intended primarily to intimidate, outrage,
or upset a person, or any behaviour where this would reasonably be
considered the most likely main outcome. Behaviour can be considered
harassment if it is beyond what a reasonable person would be expected to
tolerate in a global, intercultural environment. Harassment often takes
the form of emotional abuse, especially towards people who are in a
vulnerable position, and may include contacting workplaces or friends
and family members in an effort to intimidate or embarrass someone. In
some cases, behaviour that would not rise to the level of harassment in
a single case can become harassment through repetition.

**Harassment includes but is not limited to:**

-   **Insults.** This includes name calling, using slurs or stereotypes,
    and any attacks based on personal characteristics. Insults may refer
    to perceived characteristics like intelligence, appearance,
    ethnicity, race, religion (or lack thereof), culture, caste, sexual
    orientation, gender, sex, disability, age, nationality, political
    affiliation, or other identity characteristics. In some cases,
    repeated mockery, sarcasm, or aggression constitute insults
    collectively, even if individual statements would not;

-   **Sexual harassment.** Sexual attention or advances of any kind
    towards others where the person knows or reasonably should know that
    the attention is unwelcome or in situations where consent cannot be
    communicated;

-   **Threats.** Explicitly or implicitly suggesting the possibility of
    physical violence, unfair embarrassment, unfair and unjustified
    reputational harm, or intimidation by suggesting gratuitous legal
    action to win an argument or force someone to behave the way you
    want;

-   **Encouraging harm to others.** This includes encouraging someone
    else to commit self-harm or suicide as well as encouraging someone
    to conduct violent attacks on a third party;

-   **Disclosure of personal data (Doxing).** Sharing other
    contributors\' private information, such as name, place of
    employment, physical or email address without their explicit consent
    either on COPIM projects or elsewhere, or sharing information
    concerning their COPIM activity outside the projects;

-   **Hounding.** Following a person across the project(s) and
    repeatedly critiquing their work mainly with the intent to upset or
    discourage them;

-   **Trolling.** Deliberately disrupting conversations or posting in
    bad-faith to intentionally provoke.

### Abuse of Power, Privilege, or Influence

Abuse occurs when someone in a real or perceived position of power,
privilege, or influence engages in disrespectful, cruel, and/or violent
behaviour towards other people. In COPIM environments, it may take the
form of verbal or psychological abuse and may overlap with harassment.
This includes:

-   **Abuse of office by functionaries, officials and staff.** The use
    of authority, knowledge, or resources at the disposal of designated
    functionaries, to intimidate or threaten others;

-   **Abuse of seniority and connections.** Using one\'s position and
    reputation to intimidate others. We expect people with significant
    experience and connections in the movement to behave with special
    care because hostile comments from them may carry an unintended
    backlash. People with community authority have a particular
    privilege to be viewed as reliable and should not abuse this
    privilege to attack others who disagree with them;

-   **Psychological manipulation.** Maliciously causing someone to doubt
    their own perceptions, senses, or understanding with the objective
    to win an argument, or force someone to behave the way you want;

Reporting Instructions
----------------------

**The COPIM  **[**Code of Conduct
Committee**](https://www.copim.ac.uk/governance/code-of-conduct/)** is
responsible for enforcing the Code of Conduct. It can be contacted by
emailing **[**conduct\@copim.ac.uk**](mailto:conduct@copim.ac.uk)**.**

All reports will be reviewed by the Code of Conduct Committee according
to our Enforcement Guidelines (see
[underneath](#enforcement-guidelines)) and will be kept confidential. A
report guarantees review, but not necessarily that an action will be
taken.

Code of Conduct Incident Reporting Guidelines
---------------------------------------------

If you are attending a COPIM workshop, in-person event, or participating
in one of our online events or communication channels and believe
someone is in physical danger, please ask your workshop host, or another
community member to contact the appropriate emergency responders
(police, crisis hotline, etc.). Prior to a COPIM workshop or in-person
or virtual event, event organisers should determine emergency contact
numbers and local procedures.

If you believe someone violated the Code of Conduct during a COPIM event
or in a COPIM online space, we ask that you report it. If you are not
sure if the incident happened in a COPIM governed space, we ask that you
still report the incident. You are encouraged to submit your report by
emailing conduct (@) copim.ac.uk. 

You may report anonymously, or you can include your contact information.
Your email to this address will be seen by all of the the COPIM Code of
Conduct Committee. If you are uncomfortable reporting to the Code of
Conduct committee, or if your report concerns a current member of the
Code of Conduct committee, incidents can also be reported to Tim
Elfenbein, the current Chair of the Code of Conduct committee,
separately at Tim\_Elfenbein (@) forthcoming.work. The Chair will follow
the usual enforcement process with the other committee members, but will
exclude the member(s) that the report concerns from any discussion or
decision making. If your report concerns the current Chair of the
committee, please send your report to any of the other [CoC Committee
members](https://www.copim.ac.uk/governance/code-of-conduct/), who will
follow the usual enforcement process with the other committee members,
but will exclude the Chair.

You are welcome to report an incident anonymously. If you would like
someone to follow-up with you about the progress of your incident report
however, you would need to provide contact information.

**All reports will be kept confidential** with details shared only with
the Code of Conduct committee members. In the case that a CoC committee
member is involved in a report, the member will be asked to recuse
themselves from ongoing conversations, and they will not have access to
reports after the enforcement decision has been made. Resolution action
may also include removal of that member from the CoC committee.

Some incidents happen in one-on-one interactions, and though details are
anonymised, the reported person may be able to guess who made the
report. If you have concerns about retaliation or your personal safety,
please note those concerns in your report. You are still encouraged to
report the incident so that we can support you while keeping our
community members safe. In some cases, we can compile several anonymised
reports into a pattern of behaviour, and take action on that pattern.

The Code of Conduct committee may determine that a public statement
should be made about the incident and/or the action taken. If that is
the case, the identities of all reporters and reportees will remain
confidential unless those individuals instruct the CoC committee
otherwise.

**In your report please include:**

-   Your contact info (optional --- so we can get in touch with you if
    we need to follow up);

-   Names (real, nicknames, or pseudonyms) of any individuals involved.
    If there were other witnesses besides you, please try to include
    them as well;

-   When and where the incident occurred. Please be as specific as
    possible;

-   Your account of what occurred. If there is a publicly available
    record (e.g. a mailing list archive) please include a link to that
    record;

-   Any extra context you believe existed for the incident;

-   If you believe this incident is ongoing;

-   Any other information you believe we should have.

### What happens after you file a report?

Following Up with Reporter(s): Once a report is received from the email
address provided above, the Code of Conduct committee will handle the
review and follow up according to the procedures in the [Enforcement
Guidelines](#enforcement-guidelines). You will receive an email from the
CoC Committee acknowledging receipt immediately. We promise to
acknowledge receipt within 24 hours (and will aim for much quicker than
that).

The Committee will immediately meet to review the incident and
determine:

-   What happened;

-   Whether this event constitutes a Code of Conduct violation;

-   Who the bad actor was;

-   Whether this is an isolated incident, an ongoing situation, or if
    there is a threat to anyone\'s physical safety.

The committee is empowered to act on COPIM\'s behalf in contacting any
individuals involved to get a more complete account of events. If this
is determined to be an ongoing incident or a threat to physical safety,
the working groups\' immediate priority will be to protect everyone
involved. This means we may delay an \"official\" response until we
believe that the situation has ended and that everyone is physically
safe.

Once the Committee has a complete account of the events they will make a
decision as to how to respond. The committee should aim to have a
resolution agreed upon within one week. In the event that a resolution
can\'t be determined in that time, the committee will respond to the
reporter(s) with an update and projected timeline for resolution. Once
the committee has determined their final action, they will contact the
original reporter to let them know what action (if any) they will be
taking. They will take into account feedback from the reporter on the
appropriateness of their response, but they don\'t guarantee they will
act on it. Finally, the Committee will make a report on the situation to
the COPIM Project Group. The Project Group may choose to make a public
report of the incident.

This information will be collected in writing, and whenever possible or
appropriate the committee\'s deliberations will be recorded and retained
(i.e. email discussions, recorded voice conversations, etc.).

### Immediate Response

Participants who are asked to stop any inappropriate behaviour are
expected to comply immediately. This applies to any COPIM events and
platforms, either online or in-person. If a participant engages in
behaviour that violates this code of conduct, the organisers may warn
the offender, ask them to leave the event or platform, or engage COPIM's
[Code of Conduct
Committee](https://www.copim.ac.uk/governance/code-of-conduct/) to
investigate the Code of Conduct violation and impose appropriate
sanctions.

All COPIM community members should feel empowered to enforce the Code of
Conduct. Ideally, we would all be able to defuse an incident. In
practice, we have varying comfort with situations depending on our
current experience and the environment. Below are ways that you can be
supportive and steps that you can take during or after an incident.

If you can, move from being a bystander to being a Code of Conduct first
responder. If you see something inappropriate happening, speak up. If
you don't feel comfortable intervening, but feel someone should, please
submit a report in person to a workshop host or instructor or via the
email address provided above to the Code of Conduct committee.

Depending on the severity and/or details of the incident, an immediate
response may be required. If an incident involves physical danger or
involves a threat to anyone's safety (e.g. threats of violence), any
member of the community may -- and should -- act immediately to protect
the safety of others. This can include contacting emergency or crisis
resources.

### Immediate Response Checklist

-   Assess whether you need a first-responder (law enforcement, etc.) to
    immediately respond to the incident. If so, ask the reporter to stay
    with you and dial the appropriate emergency response number;

-   If there is any general threat to participants and/or the safety of
    anyone attending a COPIM event, contact the emergency response
    number established;

-   If individuals are physically safe, contact law enforcement or
    security only at the reporter's request;

-   Follow any local guidelines for handling incidents, including if you
    have a legal reporting role;

Individuals reported often get upset, defensive, or deny the report.
Allow them to give any additional details about the incident. However,
remember:

-   It does not matter if they did not intend to hurt anyone; their
    behaviour still impacted participants negatively;

-   It is not your job to reassure or forgive them;

-   Do not allow the reported person to make an apology to the reporter
    or impacted person.\
    Often an apology centres the reported person's feelings and not the
    person who was impacted. You may accept their apology and offer to
    pass it on, but you're not required to if you think it would
    negatively impact the reporter.

Enforcement Guidelines
----------------------

All responses to reports of conduct violations will be managed by the
COPIM [Code of Conduct
Committee](https://www.copim.ac.uk/governance/code-of-conduct/). This
section outlines the Incident Response Procedure and Enforcement
Guidelines followed by the COPIM Code of Conduct Committee once an
incident report is received by emailing conduct (@) copim.ac.uk.

These guidelines are used when the Committee reviews and resolves
incidents to ensure consistency, transparency, and fairness.

The COPIM Project Group will establish this committee, comprised of at
least three members. One member will be designated Chair of the
committee and will be responsible for all reports back to the Project
Group. The Project Group will review membership on a regular basis.

Resolutions
-----------

The committee must agree on a resolution by the majority of all members
investigating the incident in question. If the committee cannot reach a
majority decision and deadlocks for over one week, they will turn the
matter over to the COPIM PIs for resolution.

What follows are examples of possible resolutions to an incident report.
This list is not comprehensive, and the COPIM Code of Conduct Committee
reserves the right to take any action it deems necessary to resolve an
incident. Possible resolutions to an incident include:

-   Taking no further action, if the Code of Conduct committee
    determined there was no breach in the Code of Conduct;

-   A private verbal reprimand from the committee/a committee member to
    the individual(s) involved. This conversation may happen in person,
    over video conference call, or by phone. The committee/a committee
    member will write a short report of the conversation to be shared
    with the reportee for verification purposes and then shared with the
    Committee and maintained on record in a private CoC Committee folder
    on the COPIM Nextcloud;

-   A private emailed reprimand from the committee or a committee member
    to the individual(s) involved providing clarity around the nature of
    the violation and an explanation of why the behaviour was
    inappropriate. The committee/a committee member  will deliver a
    reprimand to the individual(s) over email, cc'ing the Code of
    Conduct Committee;

-   A public announcement of an incident. In this case, a committee
    member will deliver that reprimand ideally in the same venue that
    the violation occurred (e.g., on Mattermost for a Mattermost
    violation). The Committee may choose to publish this message
    elsewhere for posterity;

-   An imposed suspension (i.e., asking someone to "take a week off"
    from COPIM meetings and communication channels). The Committee/a
    committee member will communicate this suspension to the reportee.
    The suspension includes no interaction with the people involved,
    including unsolicited interaction with those enforcing the Code of
    Conduct, for a specified period of time. The reportee will be asked
    to take this suspension voluntarily, but if they do not agree, then
    a temporary ban may be imposed to enforce this suspension.

-   A permanent or temporary ban from some or all COPIM spaces
    (Mattermost, NextCloud, workshops and meetings, etc.) The CoC
    committee will maintain records of all such bans so that they may be
    reviewed in the future, extended to new communication forums, or
    otherwise maintained.

-   A request for a public or private apology. A committee member will
    deliver this request. The committee may, if it chooses, attach
    \"strings\" to this request: for example, the committee may ask a
    violator to apologise in order to retain their membership on a
    mailing list.

### **During a workshop/conference or event**

-   Requiring that the reportee avoid any interaction with, and physical
    proximity to, another person for the remainder of the COPIM event;

-   Ending a talk that violates the Code of Conduct early;

-   Not publishing the video or slides of a talk that violated the Code
    of Conduct;

-   Not allowing a speaker who violated the Code of Conduct to give
    (further) talks at COPIM workshops or events now or in the future;

-   Requiring that the reportee not volunteer for future COPIM events
    either indefinitely or for a certain time period determined by the
    Committee;

-   Requiring that the reportee refund any travel grant funding they
    received;

-   Requiring that the reportee immediately leave an event and not
    return;

-   Immediately ending any volunteer responsibilities and privileges the
    reportee holds.

Following up with the Reporter and Reportee
-------------------------------------------

Once a resolution is agreed upon, but before it is enacted, the
committee will contact the original reporter and any other affected
parties and explain the proposed resolution. The committee will ask if
this resolution is acceptable, and must note feedback for the record.
However, the committee is not required to act on this feedback.

When following up with the reportee, the CoC Committee representatives
will:

-   Explain that an incident was reported that involves the reportee; In
    this explanation, the focus will be on the impact of their
    behaviour, not their intent;

-   Reiterate the Code of Conduct and that their behaviour was deemed
    inappropriate;

-   Provide concrete examples of how they can improve their behaviour;

-   Give them the opportunity to state their view of the incident;

-   Remind them of the consequences of their behaviour, or future
    consequences if the behaviour is repeated;

-   Explain the possible resolutions that may be enforced should the
    Committee determine there is a breach.

Finally the Committee will make a report for the COPIM Project Group in
the event of an ongoing resolution, such as a termed suspension or ban.
In case the incident or report involves a current member of the COPIM
Project Group, the committee will provide the report only to the other
Project Group members. The Committee will never publicly discuss the
issue; all public statements will be made by the COPIM Project Group.

Appeal Process
--------------

Any individual(s) involved in a Code of Conduct report handled by CoC
committee has the right to appeal a decision made by the committee. An
appeal can be made directly to the Committee (email: conduct (@)
copim.ac.uk) or to the Chair (email: Tim\_Elfenbein (@)
forthcoming.work) by sending an email with the subject line **Code of
Conduct Incident Appeal**. Appeals can be requested up to 30 days after
a resolution has been determined.

The email should include documentation related to the incident to
support the appeal. The said documentation may include, but does not
have to be limited to:

-   Information from the reportee justifying the reasoning for the
    appeal;

-   Letters of support from community members;

-   Statements from other individuals involved in the incident to
    support the appeal.

 Accountability
---------------

The CoC committee will submit a report to the COPIM Project Group in the
event of an ongoing resolution, such as a termed suspension or ban.

At the end of every year, the COPIM Project Group will publish an
aggregated count of the incidents the Code of Conduct Committee has
reviewed, indicating how many reports it received, how many incidents it
investigated independently, how many times it acted unilaterally, and,
for each of these, under which part of the Code of Conduct the incident
was classified.

Conflicts of Interest
---------------------

In the event of any conflict of interest (a committee member, their
family member, or someone with whom the committee member has a close
academic or employment relationship is involved in a complaint), the
committee member must immediately notify the other members and recuse
themselves if necessary.

In the case that a CoCc member is involved in a report, the member will
be asked to recuse themselves from ongoing conversations, and they will
not have access to reports after the enforcement decision has been made.
Resolution action may also include removal of that member from the Code
of Conduct committee.

Update Logs
-----------

This CoC was first published on Friday May 28th 2021

Subsequent edits will be documented in this section.

About this Document
-------------------

This document is adapted from guidelines written by

-   **Contributor Covenant**: <https://www.contributor-covenant.org/> 

-   **The Carpentries CoC
    library:** <https://docs.carpentries.org/topic_folders/policies/code-of-conduct.html> 

-   **Wikimedia**:
    <https://meta.wikimedia.org/wiki/Universal_Code_of_Conduct/Policy_text>

-   **Django Project**: <https://www.djangoproject.com/conduct/> which
    was itself based on the [Ada
    Initiative](https://adainitiative.org/) template and the [PyCon 2013
    Procedure for Handling Harassment
    Incidents](https://us.pycon.org/2013/about/code-of-conduct/harassment-incidents/).

-   **The Speak Up! project**:
    <https://web.archive.org/web/20141109123859/http:/speakup.io/coc.html>

 We further consulted:

-   **Geek Feminism:** Overview and comparison of different codes of
    conduct within open source projects:
    <https://geekfeminism.wikia.org/wiki/Code_of_conduct_evaluations>

-   **Open Source Guide:** <https://opensource.guide/code-of-conduct/>

-   **Ada Initiative**:
    <https://adainitiative.org/2014/02/18/howto-design-a-code-of-conduct-for-your-community/>

 

***Contributors*** to the initial document are Janneke Adema, Eileen
Joy, Samuel Moore, Tobias Steiner, and Lidia Uziel.

